﻿using System;
using Zennolab.CommandCenter;
using Emulations;
namespace Jumptags
{
	internal class Step1
	{
		public static int Execute(Instance instance)
		{
			// Clearing cookies
			instance.ClearCookie();

			// Going to www.jumptags.com
			Tab tb = instance.MainTab;
			if ((tb.IsVoid) || (tb.IsNull)) return -1;
			if (tb.IsBusy) tb.WaitDownloading();
			tb.Navigate("www.jumptags.com");
			if (tb.IsBusy) tb.WaitDownloading();

			HtmlElement he;
			// Setting value [{-String.S...] to the element with tag [input:text]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("login");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("login");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 0);
			}
			if (he.IsVoid) return -1;

			// Executing macros
			he.SetValue(instance.RiseMacros("String.Split", new [] {instance.RiseMacros("File.GetString", new []{"\\Resources\\jumptags.txt", "random", "false" }), ":", "0" }), true);


			// Setting value [{-String.S...] to the element with tag [input:password]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("password");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("password");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:password", "fulltag", "input:password", "text", 0);
			}
			if (he.IsVoid) return -1;

			// Executing macros
			he.SetValue(instance.RiseMacros("String.Split", new [] {instance.RiseMacros("File.GetString", new []{"\\Resources\\jumptags.txt", "random", "false" }), ":", "1" }), true);


			// Branch builder, RiseEvent type
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:submit", "fulltag", "input:submit", "text", 0);
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:submit", "innertext", "Login", "text", 0);
			}
			if (he.IsVoid) return -1;

			he.Focus();
			
			// Now uses emulator for click on button
			Emulator.LeftMouseClick(instance.MainTab.Handle, he);
			
			if (tb.IsBusy) tb.WaitDownloading();
			if (instance.GetTabByAddress("popup").IsBusy) instance.GetTabByAddress("popup").WaitDownloading();

			// Branch builder, RiseEvent type
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "href", "javascript:\\ void\\(0\\);", "regexp", 6);
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "innertext", "Create a Jumptag", "text", 0);
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "OuterHtml", "Create a Jumptag", "text", 0);
			}
			if (he.IsVoid) return -1;

			he.Focus();
			
			// Now uses emulator for click on button
			Emulator.LeftMouseClick(instance.MainTab.Handle, he);
			
			if (tb.IsBusy) tb.WaitDownloading();
			if (instance.GetTabByAddress("popup").IsBusy) instance.GetTabByAddress("popup").WaitDownloading();

			// Branch builder, RiseEvent type
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "href", "javascript:\\ void\\(0\\);", "regexp", 38);
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "innertext", "Add bookmark", "text", 0);
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "outerhtml", "Add bookmark", "text", 0);
			}
			if (he.IsVoid) return -1;

			he.Focus();
			
			// Now uses emulator for click on button
			Emulator.LeftMouseClick(instance.MainTab.Handle, he);
			
			if (tb.IsBusy) tb.WaitDownloading();
			if (instance.GetTabByAddress("popup").IsBusy) instance.GetTabByAddress("popup").WaitDownloading();

			// Setting value [True] to the element with tag [input:checkbox]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("jumptag_public");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("jumptag_public");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:checkbox", "fulltag", "input:checkbox", "text", 0);
			}
			if (he.IsVoid) return -1;

			he.SetValue("True", true);

			// Setting value [{-File.Get...] to the element with tag [input:text]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("new_tag");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("new_tag");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 0);
			}
			if (he.IsVoid) return -1;

			// Executing macros
			he.SetValue(instance.RiseMacros("File.GetString", new [] { "\\Resources\\keywords.txt", "random", "False" }), true);


			// Setting value [{-String.S...] to the element with tag [input:text]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("common_title");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("common_title");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 1);
			}
			if (he.IsVoid) return -1;

			// Executing macros
			he.SetValue(instance.RiseMacros("String.Spintax", new [] {instance.RiseMacros("File.GetString", new []{ "\\Resources\\spuntitlescall.txt", "random", "false"}) }), true);


			// Setting value [{-File.Get...] to the element with tag [input:text]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("reference_url");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("reference_url");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 2);
			}
			if (he.IsVoid) return -1;

			// Executing macros
			he.SetValue(instance.RiseMacros("File.GetString", new [] { "\\Resources\\sites.txt", "random", "False" }), true);


			// Setting value [{-File.Get...] to the element with tag [textarea]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("common_keywords");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("common_keywords");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("textarea", "fulltag", "textarea", "text", 0);
			}
			if (he.IsVoid) return -1;

			// Executing macros
			he.SetValue(instance.RiseMacros("File.GetString", new [] { "\\Resources\\keywords.txt", "random", "False" }), true);


			// Setting value [{-File.Get...] to the element with tag [textarea]
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("common_description");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildById("common_description");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("textarea", "fulltag", "textarea", "text", 1);
			}
			if (he.IsVoid) return -1;

			// Executing macros
			he.SetValue(instance.RiseMacros("File.GetString", new [] { "\\Resources\\sitetitle.txt", "0", "False" }), true);


			// Branch builder, RiseEvent type
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByName("btAdd");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 1).FindChildByAttribute("input:submit", "outerhtml", "<INPUT id\\=btAdd value\\=\\\" Add Jumptag \\\" type\\=submit name\\=btAdd\\>.*", "regexp", 0);
			}
			if (he.IsVoid) return -1;

			he.Focus();
			
			// Now uses emulator for click on button
			Emulator.LeftMouseClick(instance.MainTab.Handle, he);
			
			if (tb.IsBusy) tb.WaitDownloading();
			if (instance.GetTabByAddress("popup").IsBusy) instance.GetTabByAddress("popup").WaitDownloading();

			// Click the link "Logout"
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "href", "http://www.jumptags.com/\\?l=1", "regexp", 0);
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByAttribute("a", "InnerText", "Logout", "regexp", 0);
			}
			if (he.IsVoid) return -1;

			he.RiseEvent("click", false);
			if (tb.IsBusy) tb.WaitDownloading();
			if (instance.GetTabByAddress("popup").IsBusy) instance.GetTabByAddress("popup").WaitDownloading();
			return 0;
		}
	}
}
